Subject: Re: Help with installing
From: Earnie Boyd <[email-masked]>
To: Larry Hall <[email-masked]>, Nirmal Vuppuluri <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Mon, 29 Mar 1999 12:39:46 -0800 (PST)

--- "Larry Hall (RFK Partners, Inc)" <[email-masked]> wrote:
> At 11:13 AM 3/29/99 -0800, Earnie Boyd wrote:
--8<--
> >I believe that you are using NT, is this correct?  If so, you are a member
of
> >the administrator group, is this correct?  If yes, to both of these, then
> you'll
> >have to modify the registry data with regedit to modify the root path. 
> You'll
> >find the key under HKEY_CURRENT_USER/Software/Cygnus Solutions.  Follow the
> >paths until you find the appropriate one and modify the value.  If you do
> >`cygcheck -r' you'll have a list of the registry entries created/used by
> >cygwin.
--8<--
> I answer yes to both of your queries but I never have had to do what you
> suggest to get mounts to work properly for any reason, although I'll admit
> that I've had Cygwin installed for a long time so maybe I'm missing something
> now.  Can you explain why you think Nirmal needs to do this and what it 
> gets around?
--8<--

Basically, because _I_ have to.  At some point there was added a set of keys for
the HKEY_LOCAL_MACHINE to control the defaults for the local machine and this
would allow consistency between multiple users while allowing each user to
control his set of keys via HKEY_CURRENT_USER.  After this was added, I wasn't
able to use the `umount / && mount Z:\\ /' methods (in any combination of
commands) to change the mount point for root while a member of the administrator
group.

NOTE: I haven't tried this with the current snapshots.  It may very well be
fixed already.

===
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
----------------------ooo0O--O0ooo----------------------

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]